Skip to content

Complete an Experiment with a Winning Variant

Complete an experiment and select a winning variant in a single call. When you select a non-control variant as the winning variant, it supersedes the control and becomes the only published story.

PATCH
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/complete_with_winner
  • :space_id required number

    Numeric ID of a space.

  • :experiment_id required number

    Numeric ID of the experiment.

  • variant_id required number

    Numeric ID of the winning variant.

  • experiment The Experiment Object

    The completed experiment object with winning_variant_id set.

curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/complete_with_winner\
?variant_id=176070002762432" \
-X PATCH \
-H "Authorization: YOUR_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d "{}"

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.